#ifndef __LCD_2x16_CD4094_lcd_H
#define __LCD_2x16_CD4094_lcd_H

//****************************************//*
#define LCD_FIRST_ROW          0x80
#define LCD_SECOND_ROW         0xC0
#define LCD_THIRD_ROW          0x94
#define LCD_FOURTH_ROW         0xD4
#define LCD_CLEAR              0x01
#define LCD_RETURN_HOME        0x02
#define LCD_CURSOR_OFF         0x0C
#define LCD_UNDERLINE_ON       0x0E
#define LCD_BLINK_CURSOR_ON    0x0F
#define LCD_MOVE_CURSOR_LEFT   0x10
#define LCD_MOVE_CURSOR_RIGHT  0x14
#define LCD_TURN_ON            0x0C
#define LCD_TURN_OFF           0x08
#define LCD_SHIFT_LEFT         0x18
#define LCD_SHIFT_RIGHT        0x1E
#define LCD_START              0x28
#define cursor_direction_inc  (0x04 | 0x02)
#define display_on            (0x08 | 0x04)
//*****************************************//*

void LCD_Initialize(void);
void lCD_Nibble(char num);
void LCD_Command(char _Cmd);
void LCD_Chr(char LCD_Char);
void LCD_Write_Char(char row, char y, char LCD_Char);
void LCD_Write_String(char row, char y, char *str);

#endif