#line 1 "C:/Users/Usuario/Documents/MikroC_pro_pic/CD4094/LCD_2x16_CD4094.c"
#line 1 "c:/users/usuario/documents/mikroc_pro_pic/cd4094/lcd_2x16_cd4094.h"
#line 25 "c:/users/usuario/documents/mikroc_pro_pic/cd4094/lcd_2x16_cd4094.h"
void LCD_Initialize(void);
void lCD_Nibble(char num);
void LCD_Command(char _Cmd);
void LCD_Chr(char LCD_Char);
void LCD_Write_Char(char row, char y, char LCD_Char);
void LCD_Write_String(char row, char y, char *str);
#line 8 "C:/Users/Usuario/Documents/MikroC_pro_pic/CD4094/LCD_2x16_CD4094.c"
short RS;

void LCD_Initialize(void){
 RS = 0;
 delay_ms(20);
 LCD_Command(3);
 delay_us(500);
 LCD_Command(3);
 delay_us(500);
 LCD_Command(3);
 delay_us(500);
 LCD_Command( 0x02 );
 delay_ms(1);
 LCD_Command( 0x28 );
 delay_ms(5);
 LCD_Command( (0x08 | 0x04) );
 delay_ms(5);
 LCD_Command( (0x04 | 0x02) );
 delay_ms(5);
 LCD_Command( (0x08 | 0x04) );
 delay_ms(5);
}

void lCD_Nibble(char num){

 char i=0, j=0;

  RD1_bit =0;
  RD2_bit =0;

 for( j = 8; j > 0; j =( j >> 1)){

 if(num & j) {
  RD0_bit =1;
 }
 else {
  RD0_bit =0;
 }
 Delay_us(10);
  RD1_bit =1;
 Delay_us(10);
  RD1_bit =0;
}
 if(RS)  RD0_bit =1;
 else  RD0_bit =0;

 for(i = 0; i < 2; i++){
 Delay_us(10);
  RD1_bit =1;
 Delay_us(10);
  RD1_bit =0;
 }
  RD2_bit =1;
 delay_us(2);
  RD2_bit =0;
}

void LCD_Chr(char LCD_Char){
 RS = 1;
 lCD_Nibble(LCD_Char >> 4);
 delay_us(10);
 lCD_Nibble(LCD_Char & 0x0F);
}

void LCD_Command(char _Cmd){
 RS = 0;
 lCD_Nibble(_Cmd >> 4);
 lCD_Nibble(_Cmd & 0x0F);
 if((_Cmd == 0x0C) || (_Cmd == 0x01) || (_Cmd == 0x0E) || (_Cmd == 0x0F)
 || (_Cmd == 0x10) || (_Cmd == 0x1E) || (_Cmd == 0x18) || (_Cmd == 0x08)
 || (_Cmd == 0x14) || (_Cmd == 0x02))
 Delay_ms(50);
}

void LCD_Write_Char(char row, char y, char LCD_Char){

 switch(row){
 case 1:
 LCD_Command(0x80 + y-1);
 break;
 case 2:
 LCD_Command(0xC0 + y-1);
 break;
 case 3:
 LCD_Command(0x94 + y-1);
 break;
 case 4:
 LCD_Command(0xD4 + y-1);
 break;
 }
 LCD_Chr (LCD_Char);
}

void LCD_Write_String(char row, char y, char *str)
{

 switch(row){
 case 1:
 LCD_Command(0x80 + y-1);
 break;
 case 2:
 LCD_Command(0xC0 + y-1);
 break;
 case 3:
 LCD_Command(0x94 + y-1);
 break;
 case 4:
 LCD_Command(0xD4 + y-1);
 break;
 }

 while(*str)
 {
 LCD_Chr(*str);
 str++;
 }
}
