
_Set_up:

;mian_cd4094.c,10 :: 		void Set_up() {
;mian_cd4094.c,12 :: 		ANSEL = 0;
	CLRF       ANSEL+0
;mian_cd4094.c,13 :: 		ANSELH = 0;      // the rest of the pins set as digital Inputs or outputs.
	CLRF       ANSELH+0
;mian_cd4094.c,14 :: 		C1ON_bit = 0;    // analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;mian_cd4094.c,15 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;mian_cd4094.c,16 :: 		TRISD=0;
	CLRF       TRISD+0
;mian_cd4094.c,17 :: 		PORTD=0;
	CLRF       PORTD+0
;mian_cd4094.c,18 :: 		LCD_Initialize();
	CALL       _LCD_Initialize+0
;mian_cd4094.c,20 :: 		}
L_end_Set_up:
	RETURN
; end of _Set_up

_main:

;mian_cd4094.c,22 :: 		void main() {
;mian_cd4094.c,23 :: 		Set_up();
	CALL       _Set_up+0
;mian_cd4094.c,24 :: 		LCD_Write_String(1, 1 ,"HELLO WORLD");
	MOVLW      1
	MOVWF      FARG_LCD_Write_String_row+0
	MOVLW      1
	MOVWF      FARG_LCD_Write_String_y+0
	MOVLW      ?lstr1_mian_cd4094+0
	MOVWF      FARG_LCD_Write_String_str+0
	CALL       _LCD_Write_String+0
;mian_cd4094.c,25 :: 		LCD_Write_String(2, 1 ,"MONTERREY");
	MOVLW      2
	MOVWF      FARG_LCD_Write_String_row+0
	MOVLW      1
	MOVWF      FARG_LCD_Write_String_y+0
	MOVLW      ?lstr2_mian_cd4094+0
	MOVWF      FARG_LCD_Write_String_str+0
	CALL       _LCD_Write_String+0
;mian_cd4094.c,26 :: 		delay_ms(2000);
	MOVLW      21
	MOVWF      R11+0
	MOVLW      75
	MOVWF      R12+0
	MOVLW      190
	MOVWF      R13+0
L_main0:
	DECFSZ     R13+0, 1
	GOTO       L_main0
	DECFSZ     R12+0, 1
	GOTO       L_main0
	DECFSZ     R11+0, 1
	GOTO       L_main0
	NOP
;mian_cd4094.c,27 :: 		LCD_Command(LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_LCD_Command__Cmd+0
	CALL       _LCD_Command+0
;mian_cd4094.c,28 :: 		LCD_Write_String(1,4,"COUNTER");
	MOVLW      1
	MOVWF      FARG_LCD_Write_String_row+0
	MOVLW      4
	MOVWF      FARG_LCD_Write_String_y+0
	MOVLW      ?lstr3_mian_cd4094+0
	MOVWF      FARG_LCD_Write_String_str+0
	CALL       _LCD_Write_String+0
;mian_cd4094.c,29 :: 		do {
L_main1:
;mian_cd4094.c,30 :: 		for(count=0; count<=1000; count++) {
	CLRF       _count+0
	CLRF       _count+1
L_main4:
	MOVF       _count+1, 0
	SUBLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main14
	MOVF       _count+0, 0
	SUBLW      232
L__main14:
	BTFSS      STATUS+0, 0
	GOTO       L_main5
;mian_cd4094.c,31 :: 		for(env=0; env<=3; env++) {
	CLRF       _env+0
L_main7:
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      _env+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main8
;mian_cd4094.c,32 :: 		num[0] =  count/1000;
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	MOVF       _count+0, 0
	MOVWF      R0+0
	MOVF       _count+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R0+0, 0
	MOVWF      _num+0
;mian_cd4094.c,33 :: 		num[1] = (count/100)%10;
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _count+0, 0
	MOVWF      R0+0
	MOVF       _count+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _num+1
;mian_cd4094.c,34 :: 		num[2] = (count/10)%10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _count+0, 0
	MOVWF      R0+0
	MOVF       _count+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _num+2
;mian_cd4094.c,35 :: 		num[3] =  count%10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       _count+0, 0
	MOVWF      R0+0
	MOVF       _count+1, 0
	MOVWF      R0+1
	CALL       _Div_16X16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      _num+3
;mian_cd4094.c,36 :: 		LCD_Write_Char(2,aux,num[env]+48);
	MOVLW      2
	MOVWF      FARG_LCD_Write_Char_row+0
	MOVF       _aux+0, 0
	MOVWF      FARG_LCD_Write_Char_y+0
	MOVF       _env+0, 0
	ADDLW      _num+0
	MOVWF      FSR
	MOVLW      48
	ADDWF      INDF+0, 0
	MOVWF      FARG_LCD_Write_Char_LCD_Char+0
	CALL       _LCD_Write_Char+0
;mian_cd4094.c,37 :: 		aux++;
	INCF       _aux+0, 1
;mian_cd4094.c,38 :: 		if(aux>8)aux=5;
	MOVF       _aux+0, 0
	SUBLW      8
	BTFSC      STATUS+0, 0
	GOTO       L_main10
	MOVLW      5
	MOVWF      _aux+0
L_main10:
;mian_cd4094.c,31 :: 		for(env=0; env<=3; env++) {
	INCF       _env+0, 1
;mian_cd4094.c,39 :: 		}
	GOTO       L_main7
L_main8:
;mian_cd4094.c,40 :: 		PORTD.F7=~PORTD.F7;
	MOVLW      128
	XORWF      PORTD+0, 1
;mian_cd4094.c,41 :: 		delay_ms(500);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main11:
	DECFSZ     R13+0, 1
	GOTO       L_main11
	DECFSZ     R12+0, 1
	GOTO       L_main11
	DECFSZ     R11+0, 1
	GOTO       L_main11
	NOP
	NOP
;mian_cd4094.c,30 :: 		for(count=0; count<=1000; count++) {
	INCF       _count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _count+1, 1
;mian_cd4094.c,42 :: 		}
	GOTO       L_main4
L_main5:
;mian_cd4094.c,43 :: 		} while(1);
	GOTO       L_main1
;mian_cd4094.c,44 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
